SDL_ScreenSaverEnabled(3)

NAME
SDL_ScreenSaverEnabled - Check whether the screensaver is currently enabled.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_ScreenSaverEnabled(void);

DESCRIPTION
The screensaver is disabled by default. The default can also be changed using SDL_HINT_VIDEO_ALLOW_SCREENSAVER .

RETURN VALUE
Returns SDL_TRUE
 if the screensaver is enabled, SDL_FALSE
 if it is disabled.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_DisableScreenSaver(3), SDL_EnableScreenSaver(3)